# Record TCefLabelButton

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefLabelButton = record`

## Description

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefLabelButton.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_label_button_capi.h">CEF source file: /include/capi/views/cef_label_button_capi.h (cef_label_button_t))

## Overview

### Fields

| `base: TCefButton;`
| `as_menu_button: function(self: PCefLabelButton): PCefMenuButton; stdcall;`
| `set_text: procedure(self: PCefLabelButton; const text: PCefString); stdcall;`
| `get_text: function(self: PCefLabelButton): PCefStringUserFree; stdcall;`
| `set_image: procedure(self: PCefLabelButton; button_state: TCefButtonState; image: PCefImage); stdcall;`
| `get_image: function(self: PCefLabelButton; button_state: TCefButtonState): PCefImage; stdcall;`
| `set_text_color: procedure(self: PCefLabelButton; for_state: TCefButtonState; color: TCefColor); stdcall;`
| `set_enabled_text_colors: procedure(self: PCefLabelButton; color: TCefColor); stdcall;`
| `set_font_list: procedure(self: PCefLabelButton; const font_list: PCefString); stdcall;`
| `set_horizontal_alignment: procedure(self: PCefLabelButton; alignment: TCefHorizontalAlignment); stdcall;`
| `set_minimum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;`
| `set_maximum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;`

## Description

### Fields

| `base: TCefButton;`
This item has no description.

| `as_menu_button: function(self: PCefLabelButton): PCefMenuButton; stdcall;`
This item has no description.

| `set_text: procedure(self: PCefLabelButton; const text: PCefString); stdcall;`
This item has no description.

| `get_text: function(self: PCefLabelButton): PCefStringUserFree; stdcall;`
This item has no description.

| `set_image: procedure(self: PCefLabelButton; button_state: TCefButtonState; image: PCefImage); stdcall;`
This item has no description.

| `get_image: function(self: PCefLabelButton; button_state: TCefButtonState): PCefImage; stdcall;`
This item has no description.

| `set_text_color: procedure(self: PCefLabelButton; for_state: TCefButtonState; color: TCefColor); stdcall;`
This item has no description.

| `set_enabled_text_colors: procedure(self: PCefLabelButton; color: TCefColor); stdcall;`
This item has no description.

| `set_font_list: procedure(self: PCefLabelButton; const font_list: PCefString); stdcall;`
This item has no description.

| `set_horizontal_alignment: procedure(self: PCefLabelButton; alignment: TCefHorizontalAlignment); stdcall;`
This item has no description.

| `set_minimum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;`
This item has no description.

| `set_maximum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.